---
updatedAt: 2026-03-30T09:19:15.000Z
agentTools:
  projectIndex: https://developers.bazaarvoice.com/v1.0-PRR/llms.txt
---

# Feedback Submissions

> 🚧 Only API keys on our <b>Conversations PRR</b> platform are eligible to use this API version. Refer to the [Platforms](https://developer.bazaarvoice.com/conversations-api/getting-started/platform-api-concepts#platforms) section of our [Platform & API Concepts](https://developer.bazaarvoice.com/conversations-api/getting-started/platform-api-concepts) documentation to learn which platform your API keys are on.

Submit feedback on a review, question, answer, [story](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features) (This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information) , review comment, or [story comment](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features) (This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information)

# Examples

## Submitting a helpfulness vote

```http URL
POST /data/submitfeedback.[FORMAT] HTTP/1.1
Host: [stg.]api.bazaarvoice.com
X-Forwarded-For: [AuthorIPAddress]
Content-Type: application/x-www-form-urlencoded
...

ApiVersion=[latestApiVersion]&ContentType=[ContentType]&ContentId=[ContentId]&UserId=[UserId]&FeedbackType=helpfulness&Vote=[HelpfulnessVote]&PassKey=[yourKey]
```

Ellipses (...) in above example indicate that your app may generate other headers.

Submission of feedback must take the form of an HTTP POST.

## Submitting inappropriate feedback

```http URL
POST /data/submitfeedback.[FORMAT] HTTP/1.1
Host: [stg.]api.bazaarvoice.com
X-Forwarded-For: [AuthorIPAddress]
Content-Type: application/x-www-form-urlencoded
...

ApiVersion=[latestApiVersion]&ContentType=[ContentType]&ContentId=[ContentId]&UserId=[UserId]&FeedbackType=inappropriate&ReasonText=[ReasonText]&PassKey=[yourKey]
```

Ellipses (...) in above example indicate that your app may generate other headers.

Submission of feedback must take the form of an HTTP POST.

# Headers

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`Content-Type`",
    "0-1": "The media-type type of the request body. Value must be `application/x-www-form-urlencoded`.  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "1-0": "`X-Forwarded-For`",
    "1-1": "IP address of content author. This header is only necessary when performing submissions from your server. See [Authenticity Tutorial](https://developer.bazaarvoice.com/conversations-api/tutorials/authenticity)  for more information.  \n  \nPer the Bazaarvoice Authenticity Policy, you must send author IP address attached to each submission. If you fail to send author IP address with your submission, Bazaarvoice may take any action deemed necessary in Bazaarvoice’s sole discretion to protect the integrity of the network. Such actions may include but are not limited to: rejection of your content, halting syndication of your content on the Bazaarvoice network, revocation of your API key, or revocation of your API license.  \n  \nAlert Failure to submit this field will result in your content being ineligible for syndication, authenticity or other business processes."
  },
  "cols": 2,
  "rows": 2,
  "align": [
    "left",
    "left"
  ]
}
[/block]

Your app may generate other headers.

# Parameters

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`[FORMAT]`",
    "0-1": "Response format (<div  class=\"tooltip\">[xml](https://developers.bazaarvoice.com/v1.0-ConversationsAPI/docs/future-deprecations)  <span class=\"tooltiptext\">This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information.</span> </div> or json)  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "1-0": "`ApiVersion`",
    "1-1": "The API version, e.g. 5.4.  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "2-0": "`ContentId`",
    "2-1": "Arbitrary text that may be saved alongside content to indicate vehicle by which content was captured, e.g. “post-purchase email”.  \nID of the content with which the feedback is associated.",
    "3-0": "`ContentType`",
    "3-1": "Type of content with which the feedback is associated (review, <div  class=\"tooltip\">[story](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features)  <span class=\"tooltiptext\">This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information.</span> </div>, question, answer, <div  class=\"tooltip\">[story_comment](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features)<span class=\"tooltiptext\">This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information.</span> </div> , review_comment)  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "4-0": "`FeedbackType`",
    "4-1": "Type of feedback (inappropriate, helpfulness).  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "5-0": "`PassKey`",
    "5-1": "API key is required to authenticate API user and check permission to access particular client's data.  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests.",
    "6-0": "`ReasonText`",
    "6-1": "Reason this content has been flagged as inappropriate.  \n  \n<div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>PRR</b></div> This feature is only available to clients on our Conversations PRR platform. [Learn more](https://developers.bazaarvoice.com/v1.0-ConversationsAPI/docs/conversations-prr-only-features)<br><br>⚠️<div style=\"border: 0.5px solid yellow; background-color: #ffffcc; width: 70px; text-align: center; color: black; display:inline;\"><b>Caution</b></div> This field may be required depending on per client configurations.",
    "7-0": "`UserId`",
    "7-1": "User's external ID. May be required for Positive, Negative and Inappropriate depending on configuration. Always required for <div  class=\"tooltip\">[UNDO](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features) <span class=\"tooltiptext\">This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information.</span> </div>.  \n  \n🔺<div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Alert</b></div> Do not use an email address for this value.<br><br>⚠️<div style=\"border: 0.5px solid yellow; background-color: #ffffcc; width: 70px; text-align: center; color: black; display:inline;\"><b>Caution</b></div> This field may be required depending on per client configurations.",
    "8-0": "`Vote`",
    "8-1": "Helpfulness vote for this content. Valid votes are: Positive, Negative, <div  class=\"tooltip\">[UNDO](https://developer.bazaarvoice.com/conversations-api/deprecations/conversations-prr-only-features)  <span class=\"tooltiptext\">This feature will not be available or will behave differently in future versions of the Conversations API. Click for more information.</span> </div>.. This parameter is only required for FeedbackType=helpfulness.  \n  \n:memo: <div style=\"border: 0.5px solid red; background-color: #ffcccc; width: 70px; text-align: center; color: black; display:inline;\"><b>Required</b></div> This field is required in all API requests."
  },
  "cols": 2,
  "rows": 9,
  "align": [
    "left",
    "left"
  ]
}
[/block]

# Response format

The following is an example of an inappropriate feedback submission response after submitting the form by HTTP POST:

```json URL
{
   "Data":{},
   "HasErrors":false,
   "Form":[],
   "FormErrors":{},
   "TypicalHoursToPost":null,
   "SubmissionId":null,
   "Feedback":{
     "Inappropriate":
     {
     "ReasonText":"This is where the reason text would go",
     "AuthorId":"alphauser",
     }
   },
   "Locale":"en_US",
   "Errors":[]
}
```

The following is an example of a helpfulness vote feedback submission response after submitting the form by HTTP POST:

```json
{
   "Data":{},
   "HasErrors":false,
   "Form":[],
   "FormErrors":{},
   "TypicalHoursToPost":null,
   "SubmissionId":null,
   "Feedback":{
     "Helpfulness":
     {
     "Vote":"POSITIVE",
     "AuthorId":"alphauser",
     }
   },
   "Locale":"en_US",
   "Errors":[]
}
```

# Response elements

| Name                 | Description                                                                                                               |
| :------------------- | :------------------------------------------------------------------------------------------------------------------------ |
| `Data`               | Section containing the fields and field groups.                                                                           |
| `Errors`             | Error section is populated instead of other fields if there is an error with a query syntax or problem executing a query. |
| `Feedback`           | Section containing the feedback data                                                                                      |
| `Form`               | Section containing an array of field and group references.                                                                |
| `TypicalHoursToPost` | Usual time it takes for the content to get posted.                                                                        |

# Error codes

| Value                                | Description                                                                                         |
| :----------------------------------- | :-------------------------------------------------------------------------------------------------- |
| `ERROR_ACCESS_DENIED`                | Insufficient privileges to perform the operation                                                    |
| `ERROR_DUPLICATE_SUBMISSION`         | Duplicate feedback submission                                                                       |
| `ERROR_FORM_DUPLICATE`               | The nickname is already in use.                                                                     |
| `ERROR_FORM_DUPLICATE_NICKNAME`      | The nickname is already in use.                                                                     |
| `ERROR_FORM_EMOJI`                   | Emoji are not supported.                                                                            |
| `ERROR_FORM_INVALID_EMAILADDRESS`    | Email address is not in the proper format.                                                          |
| `ERROR_FORM_INVALID_IPADDRESS`       | The IP address is invalid.                                                                          |
| `ERROR_FORM_INVALID_OPTION`          | The selected option has been removed.                                                               |
| `ERROR_FORM_PATTERN_MISMATCH`        | This field is not in the correct format.                                                            |
| `ERROR_FORM_PROFANITY`               | The content contains inappropriate language.                                                        |
| `ERROR_FORM_REJECTED`                | The submission was rejected.                                                                        |
| `ERROR_FORM_REQUIRED`                | A required field was not supplied.                                                                  |
| `ERROR_FORM_REQUIRED_EITHER`         | Both of the required hosted authentication parameters are missing.                                  |
| `ERROR_FORM_REQUIRED_NICKNAME`       | You must enter a nickname.                                                                          |
| `ERROR_FORM_REQUIRES_TRUE`           | A field requires a value of true. (e.g., "You must agree to the terms and conditions.")             |
| `ERROR_FORM_RESTRICTED`              | Content provider's age is too young. (e.g., "Content cannot be accepted from minors under age 13.") |
| `ERROR_FORM_STORAGE_PROVIDER_FAILED` | The uploaded file could not be stored. Try uploading again later.                                   |
| `ERROR_FORM_SUBMITTED_NICKNAME`      | This nickname has already been submitted.                                                           |
| `ERROR_FORM_TOO_FEW`                 | There must be a minimum number of items contributed for this field.                                 |
| `ERROR_FORM_TOO_HIGH`                | This field has too many items.                                                                      |
| `ERROR_FORM_TOO_LONG`                | The field has too many characters.                                                                  |
| `ERROR_FORM_TOO_LOW`                 | This field has too few items.                                                                       |
| `ERROR_FORM_TOO_SHORT`               | The field doesn't have enough characters.                                                           |
| `ERROR_FORM_UPLOAD_IO`               | The item could not be uploaded. Ensure that it is a valid file type.                                |
| `ERROR_PARAM_DUPLICATE_SUBMISSION`   | Duplicate submissions are not allowed for this client                                               |
| `ERROR_PARAM_INVALID_API_KEY`        | Invalid API Key value                                                                               |
| `ERROR_PARAM_INVALID_PARAMETERS`     | Invalid parameter in content submission                                                             |
| `ERROR_PARAM_MISSING_USER_ID`        | This client does not allow unauthenticated submissions. A valid UserId is required.                 |
| `ERROR_REQUEST_LIMIT_REACHED`        | Rate limiting error, i.e. too many requests per time interval                                       |
| `ERROR_UNKNOWN`                      | Unknown error (internal server error, for instance)                                                 |
| `ERROR_UNSUPPORTED`                  | For unsupported features, clients etc.                                                              |